<?php include_once("class/class.MySQL.php");
$db	=new MySQL();
$query="select * from project_table order by id asc";
$res    = mysql_query($query);
 $count  = mysql_num_rows($res);
$page = (int) (!isset($_REQUEST['pageId']) ? 1 :$_REQUEST['pageId']);
$page = ($page == 0 ? 1 : $page);
$recordsPerPage = 10;
$start = ($page-1) * $recordsPerPage;
$adjacents = "2";
    
$prev = $page - 1;
$next = $page + 1;
$lastpage = ceil($count/$recordsPerPage);
$lpm1 = $lastpage - 1;   
$pagination = "";
if($lastpage > 1)
    {   
        $pagination .= "<div class='pagination'>";
        if ($page > 1)
            $pagination.= "<a href=\"#Page=".($prev)."\" onClick='changePagination(".($prev).");'>&laquo; Previous&nbsp;&nbsp;</a>";
        else
            $pagination.= "<span class='disabled'>&laquo; Previous&nbsp;&nbsp;</span>";   
        if ($lastpage < 7 + ($adjacents * 2))
        {   
            for ($counter = 1; $counter <= $lastpage; $counter++)
            {
                if ($counter == $page)
                    $pagination.= "<span class='current'>$counter</span>";
                else
                    $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
                         
            }
        }
        elseif($lastpage > 5 + ($adjacents * 2))
        {
            if($page < 1 + ($adjacents * 2))
            {
                for($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
                {
                    if($counter == $page)
                        $pagination.= "<span class='current'>$counter</span>";
                    else
                        $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
                }
                $pagination.= "...";
                $pagination.= "<a href=\"#Page=".($lpm1)."\" onClick='changePagination(".($lpm1).");'>$lpm1</a>";
                $pagination.= "<a href=\"#Page=".($lastpage)."\" onClick='changePagination(".($lastpage).");'>$lastpage</a>";   
           
           }
           elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
           {
               $pagination.= "<a href=\"#Page=\"1\"\" onClick='changePagination(1);'>1</a>";
               $pagination.= "<a href=\"#Page=\"2\"\" onClick='changePagination(2);'>2</a>";
               $pagination.= "...";
               for($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
               {
                   if($counter == $page)
                       $pagination.= "<span class='current'>$counter</span>";
                   else
                       $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
               }
               $pagination.= "..";
               $pagination.= "<a href=\"#Page=".($lpm1)."\" onClick='changePagination(".($lpm1).");'>$lpm1</a>";
               $pagination.= "<a href=\"#Page=".($lastpage)."\" onClick='changePagination(".($lastpage).");'>$lastpage</a>";   
           }
           else
           {
               $pagination.= "<a href=\"#Page=\"1\"\" onClick='changePagination(1);'>1</a>";
               $pagination.= "<a href=\"#Page=\"2\"\" onClick='changePagination(2);'>2</a>";
               $pagination.= "..";
               for($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
               {
                   if($counter == $page)
                        $pagination.= "<span class='current'>$counter</span>";
                   else
                        $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
               }
           }
        }
        if($page < $counter - 1)
            $pagination.= "<a href=\"#Page=".($next)."\" onClick='changePagination(".($next).");'>Next &raquo;</a>";
        else
            $pagination.= "<span class='disabled'>Next &raquo;</span>";
        
        $pagination.= "</div>";       
    }
    
if(isset($_POST['pageId']) && !empty($_POST['pageId']))
{
    $id=$_POST['pageId'];
}
else
{
    $id='0';
}
 $query="select * from project_table order by id desc
limit ".mysql_real_escape_string($start).",$recordsPerPage";
//echo $query;
$res    =   mysql_query($query);
$count  =   mysql_num_rows($res);
$HTML='';

   $HTML.=' <table width="100%" >
                <tr><th bgcolor="#999999" colspan="3" align="center"><center><font color="#FFFFFF" size="5px"><b>Project List</b></font></center></th></tr>
                </table>
			<table  class="list-leaves" width="100%">
	<tr><td>SlNo:</td>
	<td>Project ID</td>
<td>Project Name</td>
</tr>';
if($count > 0)
{
	$rcnt=0;
    while($row=mysql_fetch_array($res))
    {
		$rcnt=$rcnt+1;
	 $projects_stg = $db->fetchQuery("SELECT * FROM project_stage where mproj_id='$row[id]'");
	 
        $post=$row['proj_id'];
        $link=$row['proj_id'];
        $HTML.='<tr>';
		$HTML.='<td>'.$rcnt.'</td>';
        $HTML.='<td>'.$row['proj_id'].'</td>';
	$HTML.='<td>'.$row['proj_name'].'</td>';
		//$HTML.='<div class="project_id_heading_3">'.$project['proj_name'].'<li class="dropdown user user-menu">stages<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="caret"></i></a><ul class="dropdown-menu">';
		
		?>
		
		
	<?php 
/*	foreach($projects_stg as $stages){ 
		$HTML.='<li class="user-footer">'.$stages['stage_id'].'</li> '	;
		
       </ul></li></div>
                                    }*/
   $HTML.='</tr>'; }
	 
	$HTML.='</table>';
}
else
{
    $HTML='<table   width="100%">
	<tr style="background-color:#999999"><th colspan="3"><font size="5px" color="white"><b><center>Project List</center></b></font></th>

	</tr>
	</table>
	<table  class="list-leaves" width="100%">
	<tr><td>SlNo:</td>
	<td>Project ID</td>
<td>Project Name</td>
	
	</tr>
	<tr><td colspan="3" align="center"><font color="red"><b><center>There Is No Data Found</center></b></font></td></tr>';
}
echo $HTML;
echo $pagination;
?>